Форум русскоязычного сообщества Ubuntu


Автор Тема: Проблема с обновлением LibreOffice  (Прочитано 1095 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Schyuka

  • Автор темы
  • Участник
  • *
  • Сообщений: 136
    • Просмотр профиля
Проблема с обновлением LibreOffice
« : 05 Апрель 2017, 18:43:36 »
Народ проблема выглядит следующим образом, менеджер обновлений показывает доступные обновления,
https://pp.userapi.com/c837629/v837629111/3817d/A1dOYv0yxsU.jpg
кроме всего прочего в список входит LibreOffice, запускаю обновление и все заканчивается ошибкой, в терминал указывает следующее
sudo apt-get update
Чтение списков пакетов… Готово                                                 
W: Ignoring Provides line with DepCompareOp for package libreoffice-l10n
W: Вы можете запустить «apt-get update» для исправления этих ошибок
Пакет LibreOffice установлен 5.3 через ppa:libreoffice/libreoffice-5-3
гуглил этот вопрос, есть баг репорт по нему но с английским у меня не очень. Помогите решить этот вопрос
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1662227
OS: Ubuntu 18.04.4 LTS
Kernel: x86_64 Linux 5.3.0-46-generic
WM: i3

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2822
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 20.10
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #1 : 05 Апрель 2017, 23:46:24 »
Schyuka, зачем вы пытаетесь надругаться над девственностью 16.04 LTS - "самой стабильной" системы, засовывая в нее разные PPA? Тот же эффект наслаждения можно испытать, используя development branch 17.04, ничего туда не засовывая, там и так имеется свежачок.
Я странен, а не странен кто ж? (С)

Оффлайн Schyuka

  • Автор темы
  • Участник
  • *
  • Сообщений: 136
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #2 : 05 Апрель 2017, 23:57:40 »
AlexBKost, у меня 14.04
OS: Ubuntu 18.04.4 LTS
Kernel: x86_64 Linux 5.3.0-46-generic
WM: i3

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1831
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #3 : 06 Апрель 2017, 00:43:48 »
Schyuka,
Баг есть баг, что тут поделаешь... Надо ждать когда починят. К счастью, разработчики в курсе. Сам Björn Michaelsen назначил себя ответственным за этот баг. Должны исправить.

Сейчас же, пока ошибка не исправлена, в качестве решения проблемы могу предложить установить LibreOffice в snap.
Можете предварительно удалить текущую версию LO так, как описано здесь. Хотя это не обязательно. Установка в snap может существовать параллельно с текущей версией.
Далее вот так:
sudo apt-get update
sudo apt-get install snapd
sudo snap install libreoffice
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6780
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #4 : 06 Апрель 2017, 00:46:55 »
Schyuka, ну так тем более. Скорее всего версии под 14.04 просто нет, либо какой-то левый несовместимый пакет ставится.

И чем не устраивает ppa:libreoffice/ppa ? Он тоже не официальный, но проверенный, рабочий. Там сейчас LO 5.3.2.2, недавно обновился.
Смените репозиторий.

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1831
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #5 : 06 Апрель 2017, 01:07:23 »
Скорее всего версии под 14.04 просто нет, либо какой-то левый несовместимый пакет ставится.
maks05, версия 1:5.3.2~rc2-0ubuntu1~trusty1 для 14.04 есть как в репозитории ppa:libreoffice/ppa, так и в ppa:libreoffice/libreoffice-5-3

И чем не устраивает ppa:libreoffice/ppa ? Он тоже не официальный, но проверенный, рабочий. Там сейчас LO 5.3.2.2, недавно обновился.
Смените репозиторий.
Это, скорее всего, не поможет. В баг-репорте говорится именно о репозитории ppa:libreoffice/ppa. Так что, для него явно всё то же самое. Кроме того, оба этих репозитория поддерживает одна и та же команда -- “LibreOffice Packaging” team. Полагаю, разницы не должно быть.
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6780
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #6 : 06 Апрель 2017, 01:09:38 »
DoctorRover, ну значит проблема наблюдается только для 14.04.

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1831
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #7 : 06 Апрель 2017, 01:14:10 »
maks05, да, судя по всему, так и есть. В баг-репорте тоже идёт речь именно о 14.04.
У меня самого на двух системах -- 16.04 и 16.10 -- всё обновилось без каких-либо проблем.
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн Schyuka

  • Автор темы
  • Участник
  • *
  • Сообщений: 136
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #8 : 06 Апрель 2017, 06:25:43 »
DoctorRover, спасибо.

Пользователь добавил сообщение 06 Апрель 2017, 06:55:08:
DoctorRover, а каким PPA следует пользоваться ppa:libreoffice/ppa или ppa.launchpad.net/libreoffice/libreoffice-5-3/ubuntu ?
« Последнее редактирование: 06 Апрель 2017, 06:55:08 от Schyuka »
OS: Ubuntu 18.04.4 LTS
Kernel: x86_64 Linux 5.3.0-46-generic
WM: i3

Оффлайн DoctorRover

  • Модератор раздела
  • Старожил
  • *
  • Сообщений: 1831
  • Ubuntu 20.04 LTS, Ubuntu 20.10
    • Просмотр профиля
Re: Проблема с обновлением LibreOffice
« Ответ #9 : 06 Апрель 2017, 10:03:34 »
DoctorRover, а каким PPA следует пользоваться ppa:libreoffice/ppa или ppa.launchpad.net/libreoffice/libreoffice-5-3/ubuntu ?
Schyuka, тут я солидарен с maks05 -- у меня обычно подключен репозиторий ppa:libreoffice/ppa.
Но вообще, всё зависит от того, что вы хотите )) У команды “LibreOffice Packaging” team есть несколько репозиториев. Их список можете посмотреть на страничке этой команды или в шапке описания самого репозитория ppa:libreoffice/ppa.

ppa:libreoffice/ppa содержит то, что называется "LibreOffice fresh", то есть самые свежие релизы самой новой ветки разработки LibreOffice. Используйте этот ppa для того, чтобы иметь самую новую версию LO.

Репозитории с номером ветки типа ppa:libreoffice/libreoffice-5-3 или ppa:libreoffice/libreoffice-5-2 очевидно включают последние стабильные версии конкретной ветки LibreOffice.
You're never too old to Rock'n'Roll if you're too young to die.

 

Страница сгенерирована за 0.318 секунд. Запросов: 24.